package com.example.SparkStructedStreaming.config;

import org.apache.spark.SparkConf;
import org.apache.spark.sql.SparkSession;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class SparkSessionConfig {

    @Bean
    public static SparkSession sparkSession(){
        SparkConf sparkConf = new SparkConf()
                .setMaster("local[*]")
                .setAppName("SparkKafkaIntegration")
                .set("spark.sql.warehouse.dir", "/tmp/MongoSession");

        return SparkSession.builder().config(sparkConf).getOrCreate();


    }

}
